#include <bits/stdc++.h>
#define ll long long

using namespace std;

int main() {
    ll n, k;
    int i, c=0;
    short t;
    cin>>n>>k;
    short a[2*n+1];
    for(i=0;i<2*n+1;i++) a[i]=0;
    for(i=0;i<n;i++) cin>>t, a[n+t]++;
    for(i=0;i<2*n+1;i++) if(a[i]>=k) c++;
    printf("%d\n",c);
    for(i=0;i<2*n+1;i++) if(a[i]>=k) printf("%d ",i-n);
    return 0;
}